Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.web.pbeconfig
Class WebPBEConfigFilter

    Object
      org.jasypt.web.pbeconfig.WebPBEConfigFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public final class WebPBEConfigFilter

extends Object
implements javax.servlet.Filter

This filter is intended to avoid access to the web application until an admin has set the encryption passwords. It will query the web PBE config system to know whether passwords have been set and, if not, it will show the user a plain Access Forbidden page.

An example `web.xml` fragment (being applied on a Struts servlet):

        <filter>
            <filter-name>webPBEConfigFilter</filter-name>
            <filter-class>org.jasypt.web.pbeconfig.WebPBEConfigFilter</filter-class>
        </filter>

        <filter-mapping>
            <filter-name>webPBEConfigFilter</filter-name>
            <servlet-name>strutsActionServlet</servlet-name>
        </filter-mapping>

Since:
  1.3
Author:
  Daniel Fernández

Constructor Summary
`WebPBEConfigFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebPBEConfigFilter

    public WebPBEConfigFilter()

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.